# common makefile defs for all sample programs

OSROOTDIR = ..$(PS)..$(PS)
ACROOTDIR = ..$(PS)..$(PS)..$(PS)..
LIBDIR  = ..$(PS)..$(PS)lib
LIBDDIR = ..$(PS)..$(PS)libd
CSTA_SRCDIR  = ..$(PS)..$(PS)src$(PS)csta
ACSE_SRCDIR  = ..$(PS)..$(PS)src$(PS)acse
RTSRCDIR = $(ACROOTDIR)$(PS)rtsrc
RTXSRCDIR = $(ACROOTDIR)$(PS)rtxsrc
BERSRCDIR = $(ACROOTDIR)$(PS)rtbersrc
RTLIBDIR = ..$(PS)..$(PS)..$(PS)lib
SPECSDIR = ..$(PS)..$(PS)specs

BERHFILES = $(RTSRCDIR)$(PS)asn1type.h $(BERSRCDIR)$(PS)asn1ber.h
BERCPPHFILES = \
$(BERHFILES) $(RTSRCDIR)$(PS)asn1CppTypes.h $(BERSRCDIR)$(PS)asn1BerCppTypes.h

CFLAGS	= -D_TRACE $(CDEBUG_) $(CVARSMTD_) $(MCFLAGS) $(CFLAGS_)
CCFLAGS = $(CFLAGS) $(XMLDEFS)
RTCFLAGS = $(CFLAGS)
BERCFLAGS = $(CFLAGS)
RTCCFLAGS = $(CCFLAGS)
BERCCFLAGS = $(CCFLAGS)
IPATHS = -I. -I$(ACSE_SRCDIR) -I$(CSTA_SRCDIR) -I$(RTSRCDIR) -I$(BERSRCDIR) \
   -I$(ACROOTDIR) -I$(RTXSRCDIR) $(IPATHS_)
LINKOPT	= $(LINKOPT_)
LPATHS    = $(LPPFX)$(LIBDIR) $(LPPFX)$(RTLIBDIR) $(LPATHS_)
LDPATHS   = $(LPPFX)$(LIBDDIR) $(LPATHS_) 
LDLLPATHS = $(LPPFX)$(LIBDIR) $(LPATHS_)
BSLIBS  = $(LLBER) $(LLRT) $(LLSYS) 

LLCSTA	= $(LIBPFX)cstap3$(A)
LLCSTAMT	= $(LIBPFX)cstap3$(MTA)
LLCSTAMD	= $(LIBPFX)cstap3$(MDA)
LLCSTAIMP= $(LIBPFX)cstap3$(IMP)

CSTALIBNAME    = $(LIBPFX)cstap3$(A)
CSTALIBMTNAME  = $(LIBPFX)cstap3$(MTA)
CSTALIBMDNAME  = $(LIBPFX)cstap3$(MDA)
CSTALIBIMPNAME = $(LIBPFX)cstap3$(IMP)
CSTADLLNAME    = $(LIBPFX)cstap3$(DLL)
CSTALIBS = $(LLCSTA)

LLACSE	= $(LIBPFX)acse$(A)
LLACSEMT	= $(LIBPFX)acse$(MTA)
LLACSEMD	= $(LIBPFX)acse$(MDA)
LLACSEIMP= $(LIBPFX)acse$(IMP)

ACSELIBNAME    = $(LIBPFX)acse$(A)
ACSELIBMTNAME  = $(LIBPFX)acse$(MTA)
ACSELIBMDNAME  = $(LIBPFX)acse$(MDA)
ACSELIBIMPNAME = $(LIBPFX)acse$(IMP)
ACSEDLLNAME    = $(LIBPFX)acse$(DLL)
ACSELIBS = $(LLACSE)


